-
  In order to check the permissions setup and functionality of the
  document module:
-
  I create a testing user for the documents
-
  I assign some ... group to the testing user
-
  I create a "group testing" user, which also belongs to the same ... group
-
  I create a "blocked" user.
-
  I create (as root) a testing folder in the document hierarchy, and
  assign ownership to the testing user, groups to the ... group.
-
  I create a "private" folder inside the testing folder.
-
  I try to read the testing folder as the testing user
-
  I try to read the folder as the group user, it should fail.
-
  I try to read the folder as the blocked user.
-
  I create a "group" folder, with the ... group.
-
  I try to read the "group" folder as the testing user
-
  I try to read the "group" folder as the group user
-
  I try to read the "group" folder as the blocked user
